Create an actionAsk AIpost https://api.safetyculture.io/tasks/v1/actionsBody Paramstask_idstringThe unique identifier of the action If not provided, UUID will be generated server side.titlestringrequiredRequired. Title of the action Title is limited to only 255 characters max.descriptionstringDescription of the action (maximum 30000 characters).collaboratorsarray of objectsThe collaborators involved into this action.collaboratorsADD objectpriority_idstringID of the action's priority If not set, this action will be stored with the default priority(none).status_idstringID of the action's status If not set, this action will be stored with the default status(to do).created_atdate-timeDate and time this action was created.due_atdate-timeDate/time this action is dueinspection_idstringID of the inspection the action belongs to If not set, this action is a standalone action and the inspection ID will be null.inspection_item_idstringID of the item in the inspection associated with the actiontemplate_idstringIf a template ID is provided then an inspection ID must be provided. If not set, this action is a standalone action and the template ID will be null.site_idstringID of the Site associated with the action.referencesarray of objectsArray of references attached to this action.referencesADD objectasset_idstringID of the Asset associated with the actionlabel_idsarray of stringsIDs of the labels associated with the action.label_idsADD stringtypeobjectThe type associated with an action.type objectfield_valuesarray of objectsArray of custom fields and their values to create with the action.field_valuesADD objecttemplate_idsarray of stringsThe list of templates to be linked to the action.template_idsADD stringResponses 200A successful response. defaultAn unexpected error response.Updated 5 months ago